List simulated limit orders (test)
curl --request GET \
--url https://api.bullionwale.com/api/trading/test/v1/limit-orders \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bullionwale.com/api/trading/test/v1/limit-orders"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"actions": [
"<string>"
],
"id": "<string>",
"quantity": "<string>",
"status": "<string>",
"status_detail": "<string>",
"symbol_code": "<string>",
"total": "<string>",
"trade_type": "<string>",
"trigger_price": "<string>",
"unit": "<string>",
"cancel_reason": "<string>",
"client_order_id": "<string>",
"created_at": "<string>",
"environment": "test",
"order_id": "<string>"
}
],
"total": 123
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Limit orders
List simulated limit orders (test)
Available on request. Ask the Bullionwale desk to turn on API access for your account and issue a test key. Test orders are simulated; nothing is booked.
Newest first. status=pending is the resting queue.
List simulated limit orders (test)
curl --request GET \
--url https://api.bullionwale.com/api/trading/test/v1/limit-orders \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bullionwale.com/api/trading/test/v1/limit-orders"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"actions": [
"<string>"
],
"id": "<string>",
"quantity": "<string>",
"status": "<string>",
"status_detail": "<string>",
"symbol_code": "<string>",
"total": "<string>",
"trade_type": "<string>",
"trigger_price": "<string>",
"unit": "<string>",
"cancel_reason": "<string>",
"client_order_id": "<string>",
"created_at": "<string>",
"environment": "test",
"order_id": "<string>"
}
],
"total": 123
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Query Parameters
Pattern:
^(pending|triggered|cancelled|all)$Required range:
1 <= x <= 200Required range:
x >= 0Maximum string length:
32Maximum string length:
8